export declare const locale: {
    lang: string;
    data: {
        HEADER: {
            'LOGIN': string;
            'APPLICATION': string;
            'PROFILE': string;
            'SETTINGS': string;
            'LOGOUT': string;
            'SEARCH': string;
        };
        FOOTER: {
            'ALL_RIGHTS_RESERVED': string;
        };
        NOTIFICATION: {
            SUCCESS: string;
            INFO: string;
            WARNING: string;
            ERROR: string;
        };
        CONFIRM_DIALOG: {
            CONFIRMATION: string;
            CONFIRM: string;
            CANCEL: string;
        };
        CUSTOMER_TREE_TYPE: {
            UNDEF: string;
            RESORT: string;
            SECTOR: string;
            ZONE: string;
        };
        CONFIRM_UNSAVED_CHANGES: string;
        ERROR: string;
        POST_PUT_USER_CONFLICT: string;
        GET_APPS_ERROR: string;
        GET_CUSTOMER_TREE_ERROR: string;
        GET_USERS_ERROR: string;
        GET_USER_ACCESS_ERROR: string;
        GET_USER_APPLICATIONS_ERROR: string;
    };
};
