import { Observable } from 'rxjs';
export declare class LumiloginService {
    private url;
    private realm;
    private clientId;
    private secret;
    static auth: any;
    private static url;
    private static realm;
    private static clientId;
    private static secret;
    private _searchObservable;
    constructor(url: string, realm: string, clientId: string, secret: string);
    static init(): Promise<any>;
    login(): void;
    getToken(): Promise<string>;
    isLoggedIn(): boolean;
    getFullName(): string;
    getParsedToken(): any;
    getUserId(): string;
    getRoles(): string[];
    getGroups(): any[];
    getCompanyName(): any;
    getApplications(): any;
    getKeycloakAuth(): any;
    logout(): void;
    searchObservable: Observable<string>;
}
