import { TranslateService } from '@ngx-translate/core';
import { WebServicesService } from '../web-services/web-services.service';
import { UserAccess } from './user-access.model';
import { NotificationService } from '../../service/notification/notification.service';
export declare class UserAccessService {
    private notificationService;
    private translateService;
    private webServicesService;
    constructor(notificationService: NotificationService, translateService: TranslateService, webServicesService: WebServicesService);
    getUserAccess(userId: string): Promise<UserAccess[]>;
    putUserAccess(applicationId: string, roleId: string, userId: string, customerTreeId: number, granted: boolean): Promise<UserAccess>;
    deleteUserAccess(userAccessId: number): Promise<any>;
}
