import { TranslateService } from '@ngx-translate/core';
import { WebServicesService } from '../web-services/web-services.service';
import { UserApplication } from './user-application.model';
import { NotificationService } from '../../service/notification/notification.service';
export declare class UserApplicationService {
    private notificationService;
    private translateService;
    private webServicesService;
    constructor(notificationService: NotificationService, translateService: TranslateService, webServicesService: WebServicesService);
    getUserApplication(userId: string): Promise<UserApplication[]>;
    putUserApplication(userId: string, applicationId: string, customerTreeId: number, visible: boolean): Promise<UserApplication>;
    deleteUserApplication(userApplicationId: number): Promise<any>;
}
