import { OnInit, AfterViewInit, OnDestroy, ElementRef, Renderer2 } from '@angular/core';
import { ComponenRegistryService } from '../service/component-registry.service';
import { BackdropService } from '../service/backdrop.service';
export declare class HeadernavComponent implements OnInit, AfterViewInit, OnDestroy {
    private _el;
    private renderer;
    private _backdropService;
    private _componenRegistryService;
    _HeadernavDrawerMode: boolean;
    _HeadernavAlwaysDrawerMode: boolean;
    _folded: boolean;
    opened: boolean;
    constructor(_el: ElementRef, renderer: Renderer2, _backdropService: BackdropService, _componenRegistryService: ComponenRegistryService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    headernavToggleHandler(): void;
    toggleDrawerHeadernav(): void;
    show(): void;
    hide(): void;
    _showHeadernav(): void;
    _hideHeadernav(): void;
    toggleDrawerHeadernavMode(): void;
    _setDrawerHeadernavMode(): void;
    _removeDrawerHeadernavMode(): void;
    _canSetDrawerMode(): boolean;
    onResize(): void;
}
