import { ToastrService } from 'ngx-toastr';
import { TranslateService } from '@ngx-translate/core';
export declare class NotificationService {
    private toastrService;
    private translateService;
    constructor(toastrService: ToastrService, translateService: TranslateService);
    showSuccess(message: string, title?: string, timeOutInSeconds?: number): import("ngx-toastr").ActiveToast<any>;
    showInfo(message: string, title?: string, timeOutInSeconds?: number): import("ngx-toastr").ActiveToast<any>;
    showWarning(message: string, title?: string, timeOutInSeconds?: number): import("ngx-toastr").ActiveToast<any>;
    showError(message: string, title?: string, timeOutInSeconds?: number): import("ngx-toastr").ActiveToast<any>;
    clearAll(): any;
    clear(toast: any): any;
}
