import { TranslateService } from '@ngx-translate/core';
export interface Locale {
    lang: string;
    data: Object;
}
interface LanguageFlag {
    lang: string;
    name: string;
    flag: string;
}
export declare class TranslationLoaderService {
    private translate;
    selectedLanguage: LanguageFlag;
    DEFAULT_LANG: string;
    languages: LanguageFlag[];
    constructor(translate: TranslateService);
    loadTranslations(...args: Locale[]): void;
    setInitLang(): void;
    setLanguage(lang: any): void;
    getActiveLanguage(): string;
}
export {};
